<html>
<head>
<title>Ogre::Profiler::ProfileHistory Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Profiler.html">Profiler</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html">ProfileHistory</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Profiler::ProfileHistory Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Profiler::ProfileHistory" -->
<p>Represents a history of each profile during the duration of the app.  
 <a href="structOgre_1_1Profiler_1_1ProfileHistory.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>&gt;</code></p>

<p><a href="structOgre_1_1Profiler_1_1ProfileHistory-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#acf3e9dcca109ad8ed6e480f1253e0873">name</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The name of the profile.  <a href="#acf3e9dcca109ad8ed6e480f1253e0873"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a1087b90301ee1df46f78cd7988bfcc81">currentTimePercent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The current percentage of frame time this profile has taken.  <a href="#a1087b90301ee1df46f78cd7988bfcc81"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#affe2faf3111815183448fb52f9daea1f">currentTimeMillisecs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The current frame time this profile has taken in milliseconds.  <a href="#affe2faf3111815183448fb52f9daea1f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a601317ff8ae3e25e423521db80fe9fbf">maxTimePercent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum percentage of frame time this profile has taken.  <a href="#a601317ff8ae3e25e423521db80fe9fbf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#afcac8a0fb80d99a9583efa15ede25a1e">maxTimeMillisecs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The maximum frame time this profile has taken in milliseconds.  <a href="#afcac8a0fb80d99a9583efa15ede25a1e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#acbf4cb3bc0a7699e531c3c1fb6a01a3a">minTimePercent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The minimum percentage of frame time this profile has taken.  <a href="#acbf4cb3bc0a7699e531c3c1fb6a01a3a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#affa2efcde4908e4f1c9d9e902cd89575">minTimeMillisecs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The minimum frame time this profile has taken in milliseconds.  <a href="#affa2efcde4908e4f1c9d9e902cd89575"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#ab918db2b1abc44372b98ee8ca14d86ad">numCallsThisFrame</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The number of times this profile has been called each frame.  <a href="#ab918db2b1abc44372b98ee8ca14d86ad"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a0bbd3ecdff3b3e80dc07acd0c2f54c4f">totalTimePercent</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The total percentage of frame time this profile has taken.  <a href="#a0bbd3ecdff3b3e80dc07acd0c2f54c4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a253036b7297b0c63954888948013facb">totalTimeMillisecs</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The total frame time this profile has taken in milliseconds.  <a href="#a253036b7297b0c63954888948013facb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">ulong</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#ada7dfb141aae4c509b518b4f46fae523">totalCalls</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The total number of times this profile was called (used to calculate average)  <a href="#ada7dfb141aae4c509b518b4f46fae523"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a9ab93f91e00cfdf99f5ef613e9f008d2">hierarchicalLvl</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The hierarchical level of this profile, 0 being the root profile.  <a href="#a9ab93f91e00cfdf99f5ef613e9f008d2"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Represents a history of each profile during the duration of the app. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00358">358</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>
</div><hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="affe2faf3111815183448fb52f9daea1f"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::currentTimeMillisecs" ref="affe2faf3111815183448fb52f9daea1f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#affe2faf3111815183448fb52f9daea1f">Ogre::Profiler::ProfileHistory::currentTimeMillisecs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The current frame time this profile has taken in milliseconds. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00366">366</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1087b90301ee1df46f78cd7988bfcc81"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::currentTimePercent" ref="a1087b90301ee1df46f78cd7988bfcc81" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a1087b90301ee1df46f78cd7988bfcc81">Ogre::Profiler::ProfileHistory::currentTimePercent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The current percentage of frame time this profile has taken. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00364">364</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9ab93f91e00cfdf99f5ef613e9f008d2"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::hierarchicalLvl" ref="a9ab93f91e00cfdf99f5ef613e9f008d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a9ab93f91e00cfdf99f5ef613e9f008d2">Ogre::Profiler::ProfileHistory::hierarchicalLvl</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The hierarchical level of this profile, 0 being the root profile. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00391">391</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="afcac8a0fb80d99a9583efa15ede25a1e"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::maxTimeMillisecs" ref="afcac8a0fb80d99a9583efa15ede25a1e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#afcac8a0fb80d99a9583efa15ede25a1e">Ogre::Profiler::ProfileHistory::maxTimeMillisecs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The maximum frame time this profile has taken in milliseconds. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00371">371</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a601317ff8ae3e25e423521db80fe9fbf"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::maxTimePercent" ref="a601317ff8ae3e25e423521db80fe9fbf" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a601317ff8ae3e25e423521db80fe9fbf">Ogre::Profiler::ProfileHistory::maxTimePercent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The maximum percentage of frame time this profile has taken. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00369">369</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="affa2efcde4908e4f1c9d9e902cd89575"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::minTimeMillisecs" ref="affa2efcde4908e4f1c9d9e902cd89575" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#affa2efcde4908e4f1c9d9e902cd89575">Ogre::Profiler::ProfileHistory::minTimeMillisecs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The minimum frame time this profile has taken in milliseconds. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00376">376</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="acbf4cb3bc0a7699e531c3c1fb6a01a3a"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::minTimePercent" ref="acbf4cb3bc0a7699e531c3c1fb6a01a3a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#acbf4cb3bc0a7699e531c3c1fb6a01a3a">Ogre::Profiler::ProfileHistory::minTimePercent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The minimum percentage of frame time this profile has taken. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00374">374</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="acf3e9dcca109ad8ed6e480f1253e0873"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::name" ref="acf3e9dcca109ad8ed6e480f1253e0873" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#acf3e9dcca109ad8ed6e480f1253e0873">Ogre::Profiler::ProfileHistory::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The name of the profile. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00361">361</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab918db2b1abc44372b98ee8ca14d86ad"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::numCallsThisFrame" ref="ab918db2b1abc44372b98ee8ca14d86ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#ab918db2b1abc44372b98ee8ca14d86ad">Ogre::Profiler::ProfileHistory::numCallsThisFrame</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The number of times this profile has been called each frame. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00379">379</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="ada7dfb141aae4c509b518b4f46fae523"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::totalCalls" ref="ada7dfb141aae4c509b518b4f46fae523" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#ada7dfb141aae4c509b518b4f46fae523">Ogre::Profiler::ProfileHistory::totalCalls</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The total number of times this profile was called (used to calculate average) </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00388">388</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a253036b7297b0c63954888948013facb"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::totalTimeMillisecs" ref="a253036b7297b0c63954888948013facb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a253036b7297b0c63954888948013facb">Ogre::Profiler::ProfileHistory::totalTimeMillisecs</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The total frame time this profile has taken in milliseconds. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00384">384</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0bbd3ecdff3b3e80dc07acd0c2f54c4f"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::totalTimePercent" ref="a0bbd3ecdff3b3e80dc07acd0c2f54c4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#a0bbd3ecdff3b3e80dc07acd0c2f54c4f">Ogre::Profiler::ProfileHistory::totalTimePercent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>The total percentage of frame time this profile has taken. </p>

<p>Definition at line <a class="el" href="OgreProfiler_8h_source.html#l00382">382</a> of file <a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProfiler_8h_source.html">OgreProfiler.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:02
</p>
</body>
</html>
